This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 979589 - KeyError: 'resolved' during a consumer update
KeyError: 'resolved' during a consumer update
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.1.1
Unspecified Unspecified
medium Severity medium
: ---
: 2.3.0
Assigned To: Sayli Karmarkar
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 16:52 EDT by Randy Barlow
Modified: 2015-03-22 21:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2013-06-28 16:52:22 EDT
I issued a consumer update from the admin-client, and received a traceback in the client log:

$ pulp-admin rpm consumer package update run --consumer-id limeade -a -n whale
Update task created with id [ e6daef73-751e-4fd1-889d-b898c68b0480 ]

This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin
Update Succeeded

An unexpected error has occurred. More information can be found in the client
log file ~/.pulp/admin.log.

$ tail -n 14 ~/.pulp/admin.log 
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/client/extensions/core.py", line 478, in run
    exit_code = Cli.run(self, args)
  File "/usr/lib/python2.6/site-packages/okaara/cli.py", line 966, in run
    exit_code = command_or_section.execute(self.prompt, remaining_args)
  File "/usr/lib/python2.6/site-packages/pulp/client/extensions/extensions.py", line 224, in execute
    return self.method(*arg_list, **clean_kwargs)
  File "/usr/lib/python2.6/site-packages/pulp/client/commands/consumer/content.py", line 234, in run
    self.process(consumer_id, task)
  File "/usr/lib/python2.6/site-packages/pulp/client/commands/polling.py", line 64, in process
    return self.succeeded(resource_id, task)
  File "/usr/lib/pulp/admin/extensions/rpm_admin_consumer/package.py", line 240, in succeeded
    resolved = details['resolved']
KeyError: 'resolved'

The consumer was bound to a single repository, our "zoo" test repo.
Comment 1 Sayli Karmarkar 2013-09-20 00:20:32 EDT
commit 17acfcafab39f4f4e0ee4c9f83bf0aa84f2e7350
Author: Sayli Karmarkar <skarmark@redhat.com>
Date:   Thu Sep 19 21:19:59 2013 -0700

    979589 - fixing consumer update for all packages failing with  KeyError: 'resolved'
Comment 2 Sayli Karmarkar 2013-09-20 00:29:37 EDT
-a option is removed as a fix for another bug and by default, the command updates all packages if -n/--name argument is not used.
Comment 3 Jeff Ortel 2013-09-26 11:36:38 EDT
build: 2.3.0-0.15.alpha
Comment 4 Preethi Thomas 2013-10-01 11:29:45 EDT
[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.16.alpha.el6.noarch
[root@pulp-v2-server ~]# 

[root@pulp-v2-server ~]# pulp-admin rpm consumer package update run --consumer-id pulp-client 
Update task created with id [ 39e3c582-5b29-4652-afce-f792fea6d77c ]

This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...
Refresh Repository Metadata             [ OK ]
Downloading Packages
Downloading Packages                    [ OK ]
Check Package Signatures                [ OK ]
Running Test Transaction                [ OK ]
Running Transaction                     [ OK ]

Update Succeeded

+----------------------------------------------------------------------+
                                Updated
+----------------------------------------------------------------------+

Name:    v8
Version: 3.14.5.10
Arch:    x86_64
Repoid:  epel

Name:    createrepo
Version: 0.9.9
Arch:    noarch
Repoid:  pulp-v2-testing

Name:    mongodb-server
Version: 2.2.6
Arch:    x86_64
Repoid:  epel

Name:    python-backports-ssl_match_hostname
Version: 3.2
Arch:    noarch
Repoid:  epel

Name:    python-requests
Version: 1.1.0
Arch:    noarch
Repoid:  epel

Name:    libmongodb
Version: 2.2.6
Arch:    x86_64
Repoid:  epel

Name:    mongodb
Version: 2.2.6
Arch:    x86_64
Repoid:  epel

Name:    gperftools-libs
Version: 2.0
Arch:    x86_64
Repoid:  epel


+----------------------------------------------------------------------+
                       Installed for Dependencies
+----------------------------------------------------------------------+

Name:    python-backports
Version: 1.0
Arch:    x86_64
Repoid:  epel

Name:    libunwind
Version: 1.1
Arch:    x86_64
Repoid:  epel



[root@pulp-v2-server ~]#
Comment 5 Preethi Thomas 2013-12-09 09:31:30 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.